Subject: Re: bug#33858: 26.1; Scrolling up fails

From: Stefan Kangas <[email-masked]>
Date: Tue, 18 Aug 2020 18:11:47 +0000

tags 33858 + moreinfo
thanks

Andrew Kurn <[email-masked]> writes:

> Here's a holiday treat for you:  a weird bug.
>
> Here's the bug:  When I scroll up (using my own function
> a-unscroll (q.v.)) and when point is about to scroll down
> off the bottom of the screen, the scroll action fails, and
> the line with point is repositioned to scroll-step lines
> above the bottom of the screen.
>
> This bug does not appear with emacs -Q.
>
> I have whittled down my init file to see which statement
> triggers the bug.  Here is the shortest one for which the
> but appears:
>
> --
>
> (global-set-key [(f12)] 'a-scroll)
> (global-set-key [(shift f12)] 'a-unscroll)
> (defun a-scroll (p) "Scroll this window up (fd) one line."
>   (interactive "p")
>   (let (( scroll-preserve-screen-position nil))
>     (scroll-up p)))
> (defun a-unscroll (p) "Scroll this window down (back) one line."
>   (interactive "p")
>   (let (( scroll-preserve-screen-position nil))
>     (scroll-up (- p))))
>
> (setq scroll-step 3)
> (setq next-line-add-newlines nil)
> (setq make-backup-files nil)
> (setq auto-save-timeout 300)
> (setq auto-save-interval 3000)
> (setq track-eol t)
> (setq line-move-visual nil)
> (setq scroll-preserve-screen-position t)
> (setq c-tab-always-indent nil)
> ;;(setq printer-name "//earth/hp pcl 6")
> ;;(setq ps-printer-name printer-name)
>
> (setq-default case-fold-search nil)
> (setq scroll-bar-adjust-thumb-portion nil)
> (add-to-list 'default-frame-alist
> 	     '(font . "Nimbus Mono-13:bold"))
>
> --
>
> If I remove the add-to-list, the bug goes away.
>
> Weird, eh?
>
> Also, if I say emacs -Q and then eval-buffer, no bug.

I would like to look into this, but the form of your bug report makes it
hard to do so.  For example, it contains commented out lines regarding
`printer-name', which I think should not be relevant to the issue you
describe.

Could you please provide a minimal recipe for how to produce this bug,
starting from "emacs -Q"?

If I don't hear back from you within a couple of weeks, I'll just assume
that this is no longer an issue and close this bug.

Thanks.

Best regards,
Stefan Kangas